/***************************************************************
 * Name:      wxEDID_App.cpp
 * Purpose:   Code for Application Class
 * Author:    Tomasz Pawlak (tomasz.pawlak@wp.eu)
 * Created:   2014-03-18
 * Copyright: Tomasz Pawlak (C) 2014-2017
 * License:   GPLv3
 **************************************************************/

#include "wxEDID_App.h"

//(*AppHeaders
#include "../src/wxEDID_Main.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(wxEDID_App);

bool wxEDID_App::OnInit() {
    //(*AppInitialize
    bool wxsOK = true;
    wxInitAllImageHandlers();
    if ( wxsOK )
    {
    	wxEDID_Frame* Frame = new wxEDID_Frame(0);
    	Frame->Show();
    	SetTopWindow(Frame);
    }
    //*)
    return wxsOK;
}

